Subject: Binutils GAS testsuite errors with DejaGNU master

From: Jozef Lawrynowicz <[email-masked]>
Date: Mon, 1 Jun 2020 15:50:45 +0100

I'm having problems running the binutils GAS testsuite for msp430-elf,
when using the latest DejaGNU master branch (commit d37c15b).
runtest reports that it cannot find the GAS tool config file.
It works if I check out dejagnu-1.6.2-release.

I have configured binutils with the following:
  ../configure --target=msp430-elf --disable-gdb --disable-sim \
    --disable-nls --enable-languages=c,c++

Then running
  make check-gas RUNTESTFLAGS=--target_board=msp430-sim

>                 === gas tests ===
>
> Schedule of variations:
>     msp430-sim
>
> Running target msp430-sim
> Using /usr/local/share/dejagnu/baseboards/msp430-sim.exp as board description file for target.
> Using /usr/local/share/dejagnu/config/sim.exp as generic interface file for target.
> Using /usr/local/share/dejagnu/baseboards/basic-sim.exp as board description file for target.
> WARNING: Couldn't find tool config file for sim, using default.
> WARNING: could not find testsuite; trying /home/jozef/msp430/binutils-gdb/gas/testsuite.
> Running /home/jozef/msp430/binutils-gdb/gas/testsuite/gas/aarch64/aarch64.exp ...
> Running /home/jozef/msp430/binutils-gdb/gas/testsuite/gas/all/gas.exp ...
> ERROR: (DejaGnu) proc "gas_test p2425.s {} {} {pcrel values in assignment}" does not exist.
> The error code is TCL LOOKUP COMMAND gas_test
> The info on the error is:
> invalid command name "gas_test"
>     while executing
> "::tcl_unknown gas_test p2425.s {} {} {pcrel values in assignment}"
>     ("uplevel" body line 1)
>     invoked from within
> "uplevel 1 ::tcl_unknown $args"

Meanwhile if I checkout dejagnu-1.6.2-release, reinstall DejaGNU, and run the
same command, the testsuite runs as expected.

>                 === gas tests ===
>
> Schedule of variations:
>     msp430-sim
>
> Running target msp430-sim
> Using /usr/local/share/dejagnu/baseboards/msp430-sim.exp as board description file for target.
> Using /usr/local/share/dejagnu/config/sim.exp as generic interface file for target.
> Using /usr/local/share/dejagnu/baseboards/basic-sim.exp as board description file for target.
> Using /home/jozef/msp430/binutils-gdb/gas/testsuite/config/default.exp as tool-and-target-specific interface file.
> Running /home/jozef/msp430/binutils-gdb/gas/testsuite/gas/aarch64/aarch64.exp ...
> Running /home/jozef/msp430/binutils-gdb/gas/testsuite/gas/all/gas.exp ...
> Running /home/jozef/msp430/binutils-gdb/gas/testsuite/gas/alpha/alpha.exp ...
> ....

Jozef